Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731944 - sci-mathematics/bertini does not respect CFLAGS
Summary: sci-mathematics/bertini does not respect CFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Mathematics related packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qa-cflags
  Show dependency tree
 
Reported: 2020-07-09 14:41 UTC by Agostino Sarubbo
Modified: 2021-02-27 04:42 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,107.31 KB, text/plain)
2020-07-09 14:41 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-09 14:41:20 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-mathematics/bertini does not respect CFLAGS.
Discovered on: amd64  (internal ref: tinderbox)

NOTE:
To reproduce this issue you may want to add "-frecord-gcc-switches" to CFLAGS/CXXFLAGS/FFLAGS/FCFLAGS. If this is not something about c/c++ context see this bug as an hint to hide the QA warning (with QA_FLAGS_IGNORED) where is not possible to respect CFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-09 14:41:26 UTC
Created attachment 648606 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-02-27 04:42:00 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5820c86bb7c0db9e037eceebe14a52eef01adc37

commit 5820c86bb7c0db9e037eceebe14a52eef01adc37
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-02-27 04:32:06 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-02-27 04:32:06 +0000

    sci-mathematics/bertini: EAPI 7, gcc 10, CFLAGS
    
    Closes: https://bugs.gentoo.org/723328
    Closes: https://bugs.gentoo.org/731944
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 sci-mathematics/bertini/bertini-1.4.ebuild | 46 ++++++++++++++++--------------
 1 file changed, 25 insertions(+), 21 deletions(-)